<template>
	<view class="container safe-area-inset-bottom">
		<MessageNotification />
		<!-- 隐私内容 -->
		<view class="card">
			<view class="box">
				<view class="title">
					隐私政策
				</view>
				<view class="word">
					<u-parse :html="content"></u-parse>
				</view>
			</view>


		</view>
	</view>
</template>

<script>
	import {
		service
	} from '../../request/api/api'
	export default {
		data() {
			return {
				content: "",
			}
		},
		onLoad() {

		},
		methods: {
			getInfo() {
				service({
					method: "get",
					data: {
						store_id: uni.getStorageSync('store_id') || '11001',
						type:2
					}
				}).then((res) => {
					if (res.data.errcode == 0) {
						this.content = res.data.data.content
					}
				})
			},
		},
		mounted() {
			this.getInfo()
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		width: 100vw;
		min-height: 100vh;
		max-height: 100%;
		background-color: #F8FAFC;
		padding-bottom: env(safe-area-inset-bottom);

		.card {
			width: 750rpx;
			padding: 30rpx 40rpx;
			// background: #FFFFFF;

			.box {
				display: flex;
				flex-direction: column;
				margin: 10rpx 0;

				.title {
					font-size: 32rpx;
					font-family: PingFang SC-Bold, PingFang SC;
					font-weight: bold;
					color: #000000;
					margin: 10rpx 0;
					line-height: 46rpx;
					letter-spacing: 1rpx;
				}



				.word {
					font-family: PingFang SC-Regular, PingFang SC;
					font-weight: 400;
					color: #555;
					line-height: 44rpx;
					letter-spacing: 1rpx;
				}
			}
		}
	}
</style>
